Name:           dcatools
Version:        0.0.6
%define sonum   0
Release:        2.6
License:        GPL-2.0+
Summary:        Free DTS Coherent Acoustics decoder tools
Url:            http://www.videolan.org/developers/libdca.html
Group:          Productivity/Multimedia/Other
Source0:        http://download.videolan.org/pub/videolan/libdca/0.0.5/libdca-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  pkg-config
BuildRequires:  fdupes
Provides:       libdca-tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dcatools are free tools for decoding DTS Coherent Acoustics streams.

%prep
%setup -q -n libdca-%{version}

%package -n libdca%{sonum}
Summary:        DTS Coherent Acoustics decoder library
Group:          System/Libraries
# FIXME: hack!?
%ifarch x86_64 ppc64
Provides:       libdts.so.%{sonum}()(64bit)
%else
Provides:       libdts.so.%{sonum}
%endif
Provides:       libdca = %{version}
Provides:       libdts = %{version}
Obsoletes:      libdca <= 0.0.2
Obsoletes:      libdts < %{version}

%description -n libdca%{sonum}
A free library for decoding DTS Coherent Acoustics streams.

%package -n libdca-devel
Summary:        Development files for libdca
Group:          Development/Libraries/C and C++
Requires:       libdca%{sonum} = %{version}
Provides:       libdts-devel   = %{version}
Obsoletes:      libdts-devel   < %{version}

%description -n libdca-devel
Development libraries and headers needed to build software 
using libdca.

%build
RPM_OPT_FLAGS="%{optflags} -fno-strict-aliasing -fPIC"
CFLAGS="%{optflags}" ./configure --prefix=%{_prefix} \
 --sysconfdir=%{_sysconfdir} \
 --datadir=%{_datadir} \
 --libdir=%{_libdir} \
 --mandir=%{_mandir}

make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install 
# FIXME: hack!?
ln -s %{_libdir}/libdca.so.%{sonum} %{buildroot}/%{_libdir}/libdts.so.%{sonum}
ln -s %{_libdir}/libdca.so %{buildroot}/%{_libdir}/libdts.so
rm -f %{buildroot}%{_libdir}/*.{a,la}
%fdupes -s %{buildroot}

%clean
rm -rf  %{buildroot}

%post   -n libdca%{sonum} -p /sbin/ldconfig
%postun -n libdca%{sonum} -p /sbin/ldconfig

%files
%defattr(-, root, root)
%{_bindir}/*
%{_mandir}/man1/*

%files -n libdca%{sonum}
%defattr(-, root, root)
%{_libdir}/libdca.so.%{sonum}*
%{_libdir}/libdts.so.%{sonum}*

%files -n libdca-devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libdca.so
%{_libdir}/libdts.so
%{_libdir}/pkgconfig/libdca.pc
%{_libdir}/pkgconfig/libdts.pc

%changelog
* Wed Jul 11 2018 zaitor@opensuse.org
- Update to version 0.0.6:
  * New release with mostly build system bugfixes.
* Mon Mar 12 2012 toddrme2178@gmail.com
- Added 32-bit compatibility package (needed by
  gstreamer-0_10-plugins-bad-orig-addon-32bit)
- Cleaned up spec file formatting.
- Added duplicate files check (fix for rpmlint warning)
- Summary and description rpmlint fixes
* Sun Jun 27 2010 ludwig.nussel@gmx.de
- remove .a and .la files
* Tue Nov  6 2007 henne@links2linux.de
- update to version 0.0.5
- rename to dcatools
- split soname lib package
- split devel subpackage
- provide libdts
* Tue Feb 28 2006 henne@links2linux.de
- dont package general pkgconfig dir
* Wed Mar 31 2004 henne@links2linux.de
- New Package, Version 0.0.2
